Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
smartcard::CardReader::MetaData Struct Reference

Reader Metadata. More...

`import <CardReader.idl;`

## Public Attributes
string | id
| Card reader ID used in events and traps.
string | manufacturer
| manufacturer
string | product
| product
string | serialNumber
| serial number (S/N)
int | channel
| one device (S/N) can provide multiple readers
string | position
| Position of the card reader.

## Detailed Description

Reader Metadata.

Definition at line 24 of file CardReader.idl.

## Member Data Documentation

## ◆ channel

int smartcard::CardReader::MetaData::channel

one device (S/N) can provide multiple readers

Definition at line 29 of file CardReader.idl.

## ◆ id

string smartcard::CardReader::MetaData::id

Card reader ID used in events and traps.

Definition at line 25 of file CardReader.idl.

## ◆ manufacturer

string smartcard::CardReader::MetaData::manufacturer

manufacturer

Definition at line 26 of file CardReader.idl.

## ◆ position

string smartcard::CardReader::MetaData::position

Position of the card reader.

Contains either the position in the 1-wire topology and the channel (e.g. D1:H1:C1-1) or, for usb card readers, a string like usb:<n> where n is a number increasing with usb card readers.

Definition at line 30 of file CardReader.idl.

## ◆ product

string smartcard::CardReader::MetaData::product

product

Definition at line 27 of file CardReader.idl.

## ◆ serialNumber

string smartcard::CardReader::MetaData::serialNumber

serial number (S/N)

Definition at line 28 of file CardReader.idl.

The documentation for this struct was generated from the following file:

- CardReader.idl